KABC Namespace Reference

## Namespaces

| LDIFConverter
| SortingTraits

## Classes

class | Address
class | AddressBook
class | Addressee
class | AddresseeDialog
class | AddresseeItem
class | AddresseeList
class | AddressLineEdit
class | Agent
class | BinaryFormat
class | ConsoleErrorHandler
class | DistributionList
class | DistributionListDialog
class | DistributionListEditor
class | DistributionListEditorWidget
class | DistributionListManager
class | DistributionListWatcher
class | EmailSelector
class | ErrorHandler
class | Format
class | FormatFactory
class | FormatPlugin
class | Geo
class | GUIErrorHandler
class | GuiErrorHandler
class | Key
class | LdapClient
class | LdapConfigWidget
class | LdapObject
struct | LdapResult
class | LdapSearch
class | LDAPUrl
class | LDIF
class | Lock
class | LockNull
class | PhoneNumber
class | ResourceFile
class | ResourceSelectDialog
class | SortMode
class | Sound
class | StdAddressBook
class | Ticket
class | TimeZone
class | VCard21Parser
class | VCardConverter
class | VCardFormat
class | VCardFormatImpl
class | VCardFormatPlugin

## Typedefs

typedef QValueList< QByteArray > | LdapAttrValue
typedef QMap< QString, LdapAttrValue > | LdapAttrMap
typedef QValueList< LdapResult > | LdapResultList

## Enumerations

enum | SortingCriterion { Uid, Name, FormattedName, FamilyName, GivenName }

## Functions

KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Address &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Address &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const AddressBook &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, AddressBook &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Agent &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Agent &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Geo &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Geo &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Key &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Key &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const PhoneNumber &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, PhoneNumber &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Picture &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Picture &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Addressee &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Addressee &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &s, const Secrecy &secrecy)
KABC_EXPORT QDataStream & | operator>> (QDataStream &s, Secrecy &secrecy)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const Sound &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, Sound &)
KABC_EXPORT QDataStream & | operator<< (QDataStream &, const TimeZone &)
KABC_EXPORT QDataStream & | operator>> (QDataStream &, TimeZone &)
KABC_EXPORT QString | dateToVCardString (const QDateTime &dateTime)
KABC_EXPORT QString | dateToVCardString (const QDate &date)
KABC_EXPORT QDateTime | VCardStringToDate (const QString &dateString)

## Detailed Description

static data, shared by ALL addressee objects

## Enumeration Type Documentation

enum KABC::SortingCriterion

Addressee attribute used for sorting.

Definition at line 87 of file addresseelist.h.

## Function Documentation

QString KABC::dateToVCardString | ( | const QDateTime & | dateTime | ) |

Helper functions.

Converts a QDateTime to a date string as it is used in VCard and LDIF files. The return value is in the form "yyyyMMddThhmmssZ" (e.g. "20031201T120000Z")

Parameters

  dateTime | date and time to be converted

Since
  3.2

Definition at line 104 of file vcardconverter.cpp.

QString KABC::dateToVCardString | ( | const QDate & | date | ) |

Converts a QDate to a short date string as it is used in VCard and LDIF files.

The return value is in the form "yyyyMMdd" (e.g. "20031201")

Parameters

  date | date to be converted

Since
  3.2

Definition at line 109 of file vcardconverter.cpp.

QDateTime KABC::VCardStringToDate | ( | const QString & | dateString | ) |

Converts a date string as it is used in VCard and LDIF files to a QDateTime value.

If the date string does not contain a time value, it will be returned as 00:00:00. (e.g. "20031201T120000" will return a QDateTime for 2003-12-01 at 12:00)

Parameters

  dateString | string representing the date and time.

Since
  3.2

Definition at line 114 of file vcardconverter.cpp.

KDE Home | KDE Accessibility Home | Description of Access Keys